searchNodes=[{"doc":"Hornet is a simple library for stress testing. It executes the given function with the given rate (calls per second) dynamically changing the number of processes to maintain the rate.","ref":"Hornet.html","title":"Hornet","type":"module"},{"doc":"Starts an instance of Hornet.Parameters It accepts a keyword list. Required parameters:- rate - the required rate in operations per seconds. For example, `100` (ops/second) - func - the anonymous function that has to be executed. For example, `fn -&gt; 1 + 1 end` - id - atom that will be used for Hornet&#39;s process names. Optional parameters:- start_period - every process executes the given function periodically. This is a starting value. The default value is 100 ms. - adjust_step - if the given rate can no be maintained (for example, if the function is executed too long), Hornet will start increasing the number of processes and the execution period for each process. The period will start increasing by adjust_step. The default value is 50ms. - adjust_period - the number of processes adjusted periodically by adjust_period value. The default value is 5_000 ms. - error_rate - allowed rate for different between the expected rate and the actual rate: |current_rate - expected_rate| &lt; error_rate. The default value is 0.1. - process_number_limit - if the given function executes too long but the required rate is high, Hornet will be spawning processes until indefinitely. This value will limit the number of processes. The default value is nil. - rate_period - the period of measuring the current rate. The default value is 1_000 ms.Examplesiex&gt; params = [rate: 1, func: fn -&gt; IO.inspect(&quot;hello&quot;) end, id: :hello] iex&gt; Hornet.start(params) {:ok, #PID&lt;0.201.0&gt;} &quot;hello&quot; &quot;hello&quot; &quot;hello&quot; &quot;hello&quot; &quot;hello&quot; ...","ref":"Hornet.html#start/1","title":"Hornet.start/1","type":"function"},{"doc":"Stops an instance of Hornet. It accepts the pid returned by start/1 or the provided id.Examplesiex&gt; Hornet.stop(:hello) :ok","ref":"Hornet.html#stop/1","title":"Hornet.stop/1","type":"function"}]